Bug 984859 - [abrt] yum-3.4.3-100.fc19: yumcommands.py:716:doCommand:TypeError: updatesObsoletesList() got an unexpected keyword argument 'repoid'
[abrt] yum-3.4.3-100.fc19: yumcommands.py:716:doCommand:TypeError: updatesObs...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum (Show other bugs)
7.1
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: James Antill
Karel Srot
abrt_hash:5961ce8603459377a1c8c32d62e...
: EasyFix, Patch
Depends On: 984297
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 04:20 EDT by Zdeněk Pavlas
Modified: 2014-06-18 01:17 EDT (History)
10 users (show)

See Also:
Fixed In Version: yum-3.4.3-101.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 984297
Environment:
Last Closed: 2014-06-13 05:19:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (1.24 KB, patch)
2013-07-16 04:22 EDT, Zdeněk Pavlas
no flags Details | Diff

  None (edit)
Description Zdeněk Pavlas 2013-07-16 04:20:23 EDT
+++ This bug was initially created as a clone of Bug #984297 +++

Description of problem:
ran a 'yum list obsoletes' command

Version-Release number of selected component:
yum-3.4.3-100.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/yum list obsoletes
executable:     /usr/bin/yum
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
yumcommands.py:716:doCommand:TypeError: updatesObsoletesList() got an unexpected keyword argument 'repoid'

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 126, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 532, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 716, in doCommand
    columns=columns, repoid=repoid)
TypeError: updatesObsoletesList() got an unexpected keyword argument 'repoid'

Local variables in innermost frame:
clir: 'normal'
local_pkgs: {}
extcmds: []
rip: (1, ['No Packages to list'])
update_pkgs: {}
rop: [0, '']
clie: 'bold,red'
rap: (1, ['No Packages to list'])
clin: 'bold,yellow'
clio: 'bold'
repoid: None
inst_pkgs: {}
cur: 'normal'
rep: (1, ['No Packages to list'])
cul: 'bold'
ypl: <yum.misc.GenericHolder instance at 0x25f3b90>
base: <cli.YumBaseCli object at 0x22fd4d0>
rup: (1, ['No Packages to list'])
clai: 'normal'
clad: 'dim,cyan'
obtup: (<YumAvailablePackageSqlite : 1:xorg-x11-drv-nvidia-319.32-4.fc19.x86_64 (0x57ab2d0)>, <RPMInstalledPackage : nvidia-settings-desktop-1.0-32.fc19.x86_64 (0x57c5610)>)
kern: 'bold,underline'
columns: (-35, -18, -25)
highlight: ''
clau: 'bold,blue'
clar: 'bold,underline,green'
self: <yumcommands.ListCommand instance at 0x23029e0>
basecmd: 'list'

--- Additional comment from Mark T. Kennedy on 2013-07-14 11:27:19 EDT ---



--- Additional comment from Mark T. Kennedy on 2013-07-14 11:27:22 EDT ---



--- Additional comment from Mark T. Kennedy on 2013-07-14 11:27:27 EDT ---
Comment 1 Zdeněk Pavlas 2013-07-16 04:22:31 EDT
Created attachment 774081 [details]
upstream patch
Comment 5 Ludek Smid 2014-06-13 05:19:55 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.